Bug 203825 - yum install gdl failes due to dependency on ImageMagic
yum install gdl failes due to dependency on ImageMagic
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdl (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-23 17:16 EDT by Kevin Benton
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 16:10:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Benton 2006-08-23 17:16:16 EDT
Description of problem:

When attempting to install gdl as a part of the listed packages for pirut, it 
depends on ImageMagic - a package that doesn't exist.

Version-Release number of selected component (if applicable):


How reproducible:
See description

Steps to Reproduce:
1. See description
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul Howarth 2006-08-24 07:13:33 EDT
This works for me:

# yum install gdl
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
updates                                                              [1/3]
core                                                                 [2/3]
extras                                                               [3/3]
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package gdl.i386 0:0.8.11-4.fc5 set to be updated
--> Running transaction check
--> Processing Dependency: libplplotcxxd.so.9 for package: gdl
--> Processing Dependency: libMagick++.so.9 for package: gdl
--> Processing Dependency: libplplotd.so.9 for package: gdl
--> Processing Dependency: libgslcblas.so.0 for package: gdl
--> Processing Dependency: libfftw3.so.3 for package: gdl
--> Processing Dependency: libgsl.so.0 for package: gdl
--> Processing Dependency: libhdf5.so.0 for package: gdl
--> Processing Dependency: libfftw3f.so.3 for package: gdl
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package ImageMagick-c++.i386 0:6.2.5.4-4.2.1.fc5.4 set to be updated
---> Package fftw.i386 0:3.1.1-1.fc5 set to be updated
---> Package gsl.i386 0:1.7-1.2.1 set to be updated
---> Package hdf5.i386 0:1.6.5-5.fc5 set to be updated
---> Package plplot.i386 0:5.6.1-2.fc5 set to be updated
--> Running transaction check
--> Processing Dependency: libqhull.so.5 for package: plplot
--> Processing Dependency: libWand.so.9 for package: ImageMagick-c++
--> Processing Dependency: libgfortran.so.1 for package: plplot
--> Processing Dependency: libMagick.so.9 for package: ImageMagick-c++
--> Processing Dependency: ImageMagick = 6.2.5.4-4.2.1.fc5.4 for package:
ImageMagick-c++
--> Processing Dependency: libLASi.so.0 for package: plplot
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package qhull.i386 0:2003.1-5.fc5 set to be updated
---> Package libgfortran.i386 0:4.1.1-1.fc5 set to be updated
---> Package ImageMagick.i386 0:6.2.5.4-4.2.1.fc5.4 set to be updated
---> Package lasi.i386 0:1.0.5-2.fc5 set to be updated
--> Running transaction check
--> Processing Dependency: libwmflite-0.2.so.7 for package: ImageMagick
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libwmf.i386 0:0.2.8.4-5.2 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 gdl                     i386       0.8.11-4.fc5     extras            2.0 M
Installing for dependencies:
 ImageMagick             i386       6.2.5.4-4.2.1.fc5.4  updates           3.1 M
 ImageMagick-c++         i386       6.2.5.4-4.2.1.fc5.4  updates           143 k
 fftw                    i386       3.1.1-1.fc5      extras            890 k
 gsl                     i386       1.7-1.2.1        core              742 k
 hdf5                    i386       1.6.5-5.fc5      extras            2.6 M
 lasi                    i386       1.0.5-2.fc5      extras             36 k
 libgfortran             i386       4.1.1-1.fc5      updates           194 k
 libwmf                  i386       0.2.8.4-5.2      updates           821 k
 plplot                  i386       5.6.1-2.fc5      extras            2.9 M
 qhull                   i386       2003.1-5.fc5     extras            382 k

Transaction Summary
=============================================================================
Install     11 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 14 M
Is this ok [y/N]: n
Exiting on user Command
Complete!

If you are still having problems, please provide the output of "yum install gdl"
Comment 2 Kevin Benton 2006-08-24 16:10:42 EDT
Thisi s wierd.  I installed a bunch of other RPM's not related to gdl, then,
having seen NEEDINFO, I tried again and it worked.

What fixd it?  I have no clue.  It's not possible to go back at this point,
however, I can tell you it was a relatively fresh install of FC5.  If you're not
seing it and I am no longer seeing it and FC6 is coming out soon, there isn't
too much point in spending a lot more time/effort in it at this point unless
someone wants to reopen the issue when they can reproduce it.

Note You need to log in before you can comment on or make changes to this bug.